Subject: bug#57334: 28.1; Fix wdired with (dired '(dir f1 f2 ...))

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 22 Aug 2022 20:05:52 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>>> 3 unexpected results:
>>>    FAILED  wdired-test-bug32173-01
>>>    FAILED  wdired-test-bug32173-02
>>>    FAILED  wdired-test-bug34915
>>
>> Sorry but I am not a big fan of ERT, I have no idea what these tests do.
>
> If you say "make wdired-tests" in the "test" directory, the output will
> tell you what the problem is.  (I didn't examine the output myself.)

The output is unuseful => (wrong-type-argument stringp ni).
No backtrace, so we don't know what the error could be.
Thus I guess the tests are written with the possible existing bugs in
mind and behave with these bugs behavior (not sure if I explain myself
correctly sorry).

-- 
Thierry